<!doctype html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=yes, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>{% block title %}BucketList{% endblock %}</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('css/normalize.css') }}">
    <link rel="stylesheet" href="{{ asset('css/app.css') }}">

    <link rel="icon" href="{{ asset('img/favicon.png') }}">

    {% block other_imports %}{% endblock %}
</head>
<body>
<div class="container">
    <header>
        <h1><a href="{{ path('app_main_home') }}"><img src="{{ asset('img/logo.png') }}" alt="Logo">Bucket-List</a></h1>
        {% include('commons/_nav.html.twig') %}
    </header>
    <main>
        {# read and display all flash messages #}
        {% for label, messages in app.flashes %}
            {% for message in messages %}
                <div class="flash flash-{{ label }}">
                    {{ message }}
                </div>
            {% endfor %}
        {% endfor %}
        {% block body %}{% endblock %}
    </main>
    <footer>
        <p>&copy; Bucket-List {{ "now"|date("Y") }}</p>
    </footer>
</div>
</body>
</html>
